FROM ubuntu:14.04

RUN apt-get update -y

RUN apt-get install -y curl

RUN curl -sL https://deb.nodesource.com/setup_6.x | bash -
RUN apt-get install -y nodejs build-essential python

RUN npm install -g node-gyp

RUN apt-get install -y git

COPY . /cgps/mash-node-native

WORKDIR /tmp
RUN chmod +x /cgps/mash-node-native/scripts/install-dependencies.sh
RUN /cgps/mash-node-native/scripts/install-dependencies.sh

WORKDIR /cgps/mash-node-native
RUN chmod +x /cgps/mash-node-native/scripts/install.sh
RUN /cgps/mash-node-native/scripts/install.sh

CMD ["bash"]
